/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.base.entity.Menu;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 菜单表
 *
 * @author admin
 * @date Thu Oct 10 00:00:00 CST 2019
 */
public interface MenuService extends IService<Menu> {
    public List<Menu> getMenuListByRole(Long roleId);

    public List<Menu> getMenuListByUser(String platform);

    String removeMenuByIds(List<Long> list);

    String uploadBatchMenu(MultipartFile file);
}
